> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> List Products



## OpenAPI

````yaml get /v1/products
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/products:
    get:
      tags:
        - Product
      summary: List Products
      description: List Products
      parameters:
        - example: 1
          x-order: '1'
          name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - example: 25
          x-order: '2'
          name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - example: PRD1
          name: group_code
          in: query
          schema:
            type: string
        - example: true
          name: is_primary
          in: query
          schema:
            type: boolean
        - name: sku_id
          in: query
          schema:
            type: string
        - example: asc
          name: sort
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
        - example: sku_id
          description: default is sku_id
          name: sort_by
          in: query
          schema:
            type: string
            enum:
              - created_at
              - updated_at
              - name
              - sku_id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessPaginationResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/dtos.ProductListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessPaginationResponse:
      type: object
      properties:
        data:
          x-order: '1'
        pagination:
          allOf:
            - $ref: '#/components/schemas/dtos.PaginationResponse'
          x-order: '2'
    dtos.ProductListResponse:
      type: object
      properties:
        reference_id:
          type: string
          x-order: '1'
          example: SKU123
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        parent_id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        sku:
          type: string
          x-order: '2'
          example: SKU123
        name:
          type: string
          x-order: '3'
          example: Product Name
        group_code:
          type: string
          x-order: '4'
          example: PRD1
        medias:
          type: array
          items:
            $ref: '#/components/schemas/dtos.ProductMediaResponse'
          x-order: '5'
        is_primary:
          type: boolean
          x-order: '6'
          example: true
        status:
          type: string
          enum:
            - active
            - inactive
          x-order: '7'
          example: active
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/dtos.AttributeResponse'
          x-order: '8'
        created_at:
          type: string
          x-order: '9'
        updated_at:
          type: string
          x-order: '10'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.PaginationResponse:
      type: object
      properties:
        total_records:
          type: integer
          x-order: '1'
          example: 100
        total_pages:
          type: integer
          x-order: '2'
          example: 10
        current_page:
          type: integer
          x-order: '3'
          example: 1
        next_page:
          type: integer
          x-order: '4'
          example: 2
        prev_page:
          type: integer
          x-order: '5'
          example: 0
        page_size:
          type: integer
          x-order: '6'
          example: 10
    dtos.ProductMediaResponse:
      type: object
      properties:
        is_default:
          type: boolean
          example: true
        type:
          type: string
          example: image
        url:
          type: string
          example: https://example.com/image1.jpg
    dtos.AttributeResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: '1234567890'
        name:
          type: string
          x-order: '2'
          example: color
        value:
          type: string
          x-order: '3'
          example: red
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````